// 
// Copyright (c) 2013-2016 Carsten Sonne Larsen <cs@innolan.dk>
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

using System.Collections.Generic;

public static class TimeServers
{
    public static readonly Dictionary<int, string> List = new Dictionary<int, string>
    {
        {1, "128.4.40.12"},
        {2, "128.4.1.2"},
        {3, "time1.one4vision.de"},
        {4, "time2.one4vision.de"},
        {4, "212.82.32.26"},
        {6, "time.sinectis.com.ar"},
        {7, "tick.nap.com.ar"},
        {8, "ntp2.phoenixpubliclibrary.org"},
        {8, "148.167.132.201"},
        {9, "ntp1.phoenixpubliclibrary.org"},
        {9, "148.167.132.200"},
        {10, "ntp.drydog.com"},
        {10, "216.218.196.162"},
        {10, "2001:470:1:3cd::2"},
        {11, "216.218.192.202"},
        {12, "200.49.40.15"},
        {14, "195.13.23.5"},
        {15, "195.13.1.153"},
        {16, "200.144.121.33"},
        {17, "ntp.hiway.com.br"},
        {19, "200.137.65.132"},
        {21, "ntp.cpsc.ucalgary.ca"},
        {21, "136.159.2.4"},
        {21, "136.159.2.1"},
        {27, "ntp1.theremailer.net"},
        {27, "ntp1v6.theremailer.net"},
        {27, "85.10.240.253"},
        {27, "2a01:4f8:141:282::5:3"},
        {28, "time.deu.edu.tr"},
        {29, "blade.avnf.com"},
        {30, "ntp.pads.ufrj.br"},
        {30, "146.164.48.1"},
        {30, "2001:1291:200:8371::1"},
        {35, "b.ntp.setilabs.net"},
        {36, "a.ntp.setilabs.net"},
        {37, "200.254.135.2"},
        {38, "ntp1.cmc.ec.gc.ca"},
        {39, "ntp2.cmc.ec.gc.ca"},
        {39, "205.189.10.22"},
        {41, "time.chu.nrc.ca"},
        {41, "209.87.233.53"},
        {42, "time.nrc.ca"},
        {42, "132.246.11.238"},
        {42, "132.246.11.229"},
        {42, "132.246.11.227"},
        {43, "142.3.100.15"},
        {45, "ntp.cgi.cz"},
        {45, "178.238.36.117"},
        {45, "178.238.36.117"},
        {46, "ntp.globe.cz"},
        {46, "81.95.103.173"},
        {48, "ntp1.contactel.cz"},
        {49, "ntp2.contactel.cz"},
        {53, "hora.oxixares.com"},
        {53, "37.187.170.220"},
        {54, "194.179.52.14"},
        {55, "tick.keso.fi"},
        {56, "tock.keso.fi"},
        {58, "ntp.obspm.fr"},
        {58, "145.238.203.10"},
        {63, "138.195.130.71"},
        {64, "ntp.mfa.gr"},
        {64, "195.167.30.249"},
        {64, "2a02:587:8f0::224:0:20"},
        {66, "os.ntp.carnet.hr"},
        {66, "161.53.30.104"},
        {67, "ri.ntp.carnet.hr"},
        {67, "161.53.30.170"},
        {68, "st.ntp.carnet.hr"},
        {68, "161.53.30.50"},
        {69, "zg1.ntp.carnet.hr"},
        {69, "161.53.123.5"},
        {69, "2001:b68:ff:2::5"},
        {70, "zg2.ntp.carnet.hr"},
        {70, "161.53.160.5"},
        {70, "2001:b68:ff:1::5"},
        {71, "time.kfki.hu"},
        {71, "148.6.0.1"},
        {71, "2001:738:5001::1"},
        {72, "202.180.0.71"},
        {73, "ntp.maths.tcd.ie"},
        {73, "134.226.81.3"},
        {73, "2001:770:10:300::86e2:5103"},
        {79, "ntp.supernet300.com"},
        {80, "ntp1.theinternetone.net"},
        {81, "ntp2.theinternetone.net"},
        {82, "ntp3.theinternetone.net"},
        {83, "129.240.64.3"},
        {85, "ntp.iprolink.co.nz"},
        {85, "203.152.107.68"},
        {85, "203.152.107.67"},
        {86, "ntp.massey.ac.nz"},
        {86, "130.123.104.69"},
        {86, "130.123.96.70"},
        {86, "130.123.108.7"},
        {87, "ntp.public.otago.ac.nz"},
        {87, "139.80.64.114"},
        {88, "tk1.ihug.co.nz"},
        {89, "tk2.ihug.co.nz"},
        {90, "tk3.ihug.co.nz"},
        {90, "203.109.129.1"},
        {94, "ntp.psn.ru"},
        {94, "194.149.67.129"},
        {97, "time.flygplats.net"},
        {97, "213.114.130.250"},
        {100, "ntp1.arnes.si"},
        {100, "193.2.1.117"},
        {100, "2001:1470:8000::117"},
        {101, "ntp2.arnes.si"},
        {101, "193.2.1.92"},
        {101, "2001:1470:8000::92"},
        {103, "168.243.7.66"},
        {106, "ntp.exnet.com"},
        {106, "79.135.97.70"},
        {108, "ntp2b.mcc.ac.uk"},
        {108, "130.88.200.4"},
        {109, "ntp2c.mcc.ac.uk"},
        {109, "130.88.200.6"},
        {110, "ntp2d.mcc.ac.uk"},
        {110, "130.88.212.143"},
        {111, "194.164.127.5"},
        {112, "194.164.127.4"},
        {113, "194.164.127.6"},
        {115, "158.43.128.66"},
        {117, "195.112.34.51"},
        {119, "time.cachenetworks.com"},
        {119, "69.22.157.2"},
        {119, "69.31.3.3"},
        {120, "216.218.254.202"},
        {121, "132.239.254.49"},
        {123, "ntp2.mainecoon.com"},
        {124, "192.83.249.28"},
        {125, "204.74.68.55"},
        {126, "reloj.kjsl.com"},
        {126, "198.137.202.60"},
        {126, "2001:1868:a100:131::60"},
        {127, "time.berkeley.netdot.net"},
        {129, "ntp1.linuxmedialabs.com"},
        {129, "96.47.0.50"},
        {132, "rolex.usg.edu"},
        {132, "198.72.72.10"},
        {134, "ntp-0.cso.uiuc.edu"},
        {134, "130.126.24.53"},
        {134, "2620::e00:4012:0:0:0:2"},
        {135, "ntp-1.cso.uiuc.edu"},
        {135, "130.126.24.24"},
        {135, "2620::e00:4010:0:0:0:2"},
        {136, "ntp-2.cso.uiuc.edu"},
        {136, "130.126.24.44"},
        {136, "2620::e00:4011:0:0:0:2"},
        {145, "199.240.130.12"},
        {146, "199.240.130.1"},
        {148, "128.101.101.101"},
        {149, "134.84.84.84"},
        {151, "chronos1.umt.edu"},
        {151, "192.73.48.1"},
        {152, "chronos2.umt.edu"},
        {152, "192.73.48.2"},
        {153, "chronos3.umt.edu"},
        {153, "192.73.48.6"},
        {154, "152.2.21.1"},
        {155, "ntp.uhfradio.com"},
        {156, "tick.jrc.us"},
        {156, "208.90.144.52"},
        {157, "tock.jrc.us"},
        {157, "208.90.144.53"},
        {159, "131.216.22.15"},
        {160, "131.216.22.17"},
        {161, "clock.linuxshell.net"},
        {162, "209.51.161.238"},
        {163, "ntp0.cornell.edu"},
        {163, "132.236.56.250"},
        {164, "reva.ziaspace.com"},
        {170, "128.118.25.3"},
        {171, "ntp-1.cede.psu.edu"},
        {172, "ntp-2.cede.psu.edu"},
        {176, "209.144.20.76"},
        {177, "ntp.tmc.edu"},
        {178, "ntppub.tamu.edu"},
        {178, "128.194.254.9"},
        {181, "198.82.1.202"},
        {182, "198.82.1.201"},
        {183, "198.82.1.203"},
        {184, "198.82.1.204"},
        {189, "ntp1.cs.wisc.edu"},
        {189, "128.105.39.11"},
        {190, "ntp3.cs.wisc.edu"},
        {190, "128.105.37.11"},
        {191, "207.126.97.57"},
        {192, "150.188.8.196"},
        {194, "146.64.241.229"},
        {199, "ntps1.pads.ufrj.br"},
        {202, "128.233.3.100"},
        {203, "128.233.3.101"},
        {204, "ntp.metas.ch"},
        {204, "162.23.41.10"},
        {206, "146.83.8.200"},
        {207, "200.54.149.19"},
        {209, "ntp0.fau.de"},
        {209, "131.188.3.220"},
        {210, "ntp1.fau.de"},
        {210, "131.188.3.221"},
        {211, "ntp2.fau.de"},
        {211, "131.188.3.222"},
        {212, "ntp3.fau.de"},
        {212, "131.188.3.223"},
        {213, "ntps1-0.eecsit.tu-berlin.de"},
        {213, "130.149.17.21"},
        {214, "ntps1-1.eecsit.tu-berlin.de"},
        {214, "130.149.17.8"},
        {215, "ptbtime1.ptb.de"},
        {215, "192.53.103.108"},
        {216, "ptbtime2.ptb.de"},
        {216, "192.53.103.104"},
        {217, "129.69.1.153"},
        {228, "ntp-galway.hea.net"},
        {228, "140.203.204.77"},
        {230, "133.100.9.2"},
        {231, "133.100.11.8"},
        {233, "193.67.79.202"},
        {234, "193.67.79.202"},
        {235, "193.79.237.14"},
        {236, "193.79.237.14"},
        {237, "193.79.237.30"},
        {238, "193.79.237.30"},
        {242, "ntp.certum.pl"},
        {242, "213.222.200.99"},
        {243, "150.254.183.15"},
        {244, "192.36.133.17"},
        {245, "192.36.133.66"},
        {246, "192.36.134.17"},
        {247, "192.36.134.25"},
        {248, "ntp1.sp.se"},
        {248, "193.11.166.8"},
        {249, "62.119.40.99"},
        {250, "192.36.144.22"},
        {251, "ntp2.sth.netnod.se"},
        {251, "194.58.202.148"},
        {252, "192.36.143.150"},
        {253, "192.36.143.151"},
        {256, "chronos.csr.net"},
        {261, "204.123.2.5"},
        {263, "209.81.9.7"},
        {266, "207.200.81.113"},
        {267, "69.25.96.13"},
        {268, "64.125.78.85"},
        {269, "192.6.38.127"},
        {273, "128.9.176.30"},
        {277, "129.6.15.28"},
        {278, "129.6.15.29"},
        {279, "time-a.timefreq.bldrdoc.gov"},
        {279, "132.163.4.101"},
        {280, "132.163.4.102"},
        {281, "132.163.4.103"},
        {283, "192.43.244.18"},
        {284, "128.138.140.44"},
        {288, "ntp1.conectiv.com"},
        {288, "138.39.23.13"},
        {290, "128.4.1.1"},
        {296, "18.26.4.105"},
        {300, "time.keneli.org"},
        {300, "173.162.192.156"},
        {305, "152.1.58.124"},
        {307, "nist1-ny.witime.net"},
        {314, "time.xmission.com"},
        {314, "198.60.22.240"},
        {314, "2607:fa18::2407"},
        {317, "206.246.118.250"},
        {318, "time-nw.nist.gov"},
        {318, "131.107.13.100"},
        {329, "ntp.knowledge.or.id"},
        {331, "clock.develooper.com"},
        {331, "207.171.7.151"},
        {331, "207.171.7.152"},
        {334, "ntp.xland.ru"},
        {340, "ntp.remco.org"},
        {340, "83.163.209.244"},
        {340, "2001:982:a822:1:ba27:ebff:fec0:fb5"},
        {341, "ntp6.remco.org"},
        {341, "2001:982:a822:1:ba27:ebff:fec0:fb5"},
        {342, "t2.timegps.net"},
        {342, "69.75.229.43"},
        {343, "stdtime.gov.hk"},
        {343, "118.103.146.184"},
        {344, "ntp1.tpg.com.au"},
        {344, "203.12.160.2"},
        {349, "ntp1.vniiftri.ru"},
        {349, "89.109.251.21"},
        {350, "tick.meteonews.ch"},
        {350, "91.195.238.4"},
        {351, "tack.meteonews.net"},
        {351, "78.46.52.71"},
        {351, "2a01:4f8:101:1068::2"},
        {352, "ntp2.vniiftri.ru"},
        {352, "89.109.251.22"},
        {353, "ntp3.vniiftri.ru"},
        {353, "89.109.251.23"},
        {354, "ntp.favey.ch"},
        {354, "195.34.89.227"},
        {355, "ntp.any.ovee.net.au"},
        {356, "ntp2.oma.be"},
        {356, "193.190.230.66"},
        {357, "t1.timegps.net"},
        {357, "69.75.229.42"},
        {358, "andromeda.ziaspace.com"},
        {358, "209.36.14.133"},
        {358, "2001:470:a068:34:250:e4ff:fee0:c035"},
        {362, "tick.jpunix.net"},
        {363, "ntp21.vniiftri.ru"},
        {363, "89.109.251.25"},
        {365, "ntp.vik.bg"},
        {366, "ntp2.tpg.com.au"},
        {366, "203.26.24.6"},
        {367, "ntp1.oma.be"},
        {367, "193.190.230.65"},
        {369, "ntp.evertje.net"},
        {371, "time.it2.net"},
        {372, "ntp1.usv.ro"},
        {373, "ntp.myfloridacity.us"},
        {373, "71.40.128.146"},
        {377, "ntp1.kamino.fr"},
        {378, "68.216.79.113"},
        {379, "ntp1.sibernet.com.tr"},
        {380, "ntp1.sibernet.com.tr"},
        {381, "ntp2.sibernet.com.tr"},
        {382, "ntp2.sibernet.com.tr"},
        {387, "ntp2.usv.ro"},
        {387, "80.96.120.252"},
        {387, "2001:b30:4c02:1::a2"},
        {388, "82.96.64.2"},
        {388, "2001:1bc0::ffff:bbbb:2"},
        {389, "ntp3.usv.ro"},
        {389, "80.96.120.253"},
        {389, "2001:b30:4c02:1::a3"},
        {390, "hora.roa.es"},
        {390, "150.214.94.5"},
        {391, "ntp.vld.ru"},
        {392, "ntp.nblug.org"},
        {392, "208.201.242.2"},
        {392, "2001:470:1f05:1ae2::"},
        {393, "timelord.w1nr.net"},
        {393, "173.255.227.205"},
        {393, "2600:3c03::f03c:91ff:feae:3952"},
        {394, "148.243.173.8"},
        {397, "ntp.ujf.cas.cz"},
        {397, "147.231.100.5"},
        {400, "time.desynched.net"},
        {401, "ntp.prato.linux.it"},
        {405, "ntp04.oal.ul.pt"},
        {405, "194.117.9.136"},
        {406, "130.236.254.17"},
        {407, "ntp0.alterox.ro"},
        {408, "ntp.pinklemon.net"},
        {408, "109.74.206.120"},
        {408, "2a01:7e00::f03c:91ff:fe96:f129"},
        {409, "extntp0.inf.ed.ac.uk"},
        {409, "129.215.160.240"},
        {410, "extntp1.inf.ed.ac.uk"},
        {410, "129.215.42.240"},
        {411, "ntp.mostovna.com"},
        {411, "46.54.224.12"},
        {412, "ntp1.campus-rv.net"},
        {412, "193.106.144.6"},
        {412, "2a00:fc00:e000:1::6"},
        {413, "ntp.zsuatt.com"},
        {414, "time.sys.mywn.co.uk"},
        {416, "a.ntp.madduck.net"},
        {416, "188.174.253.163"},
        {416, "2001:a60:902f:123::1"},
        {417, "b.ntp.madduck.net"},
        {417, "130.60.157.243"},
        {417, "2001:470:b46d:123::1"},
        {418, "c.ntp.madduck.net"},
        {418, "77.109.139.83"},
        {418, "2001:1620:2018:2::123"},
        {422, "www.millnet.se"},
        {424, "ntp1.yellowcheese.com"},
        {426, "84.49.245.201"},
        {427, "ntp.gazduire.ro"},
        {428, "ntp.host.bg"},
        {434, "stratum2.sjc1.publicntp.net"},
        {435, "nist.expertsmi.com"},
        {438, "90.185.140.134"},
        {438, "2001:470:28:4a6::4"},
        {439, "stratum2.ord2.publicntp.net"},
        {439, "50.31.2.213"},
        {440, "gps.layer42.net"},
        {440, "69.36.224.15"},
        {441, "ntp11.metas.ch"},
        {441, "162.23.41.55"},
        {442, "ntp12.metas.ch"},
        {442, "162.23.41.56"},
        {446, "ntp1.inrim.it"},
        {446, "193.204.114.232"},
        {447, "ntp.ragingfist.net"},
        {448, "ntp2.inrim.it"},
        {448, "193.204.114.233"},
        {450, "pubts0 -sj.certichron.com"},
        {451, "pubts1-sj.witime.net"},
        {452, "pubts2-sj.witime.net"},
        {455, "ntp-public.uit.no"},
        {455, "129.242.4.241"},
        {458, "ntp.nict.jp"},
        {458, "133.243.238.244"},
        {458, "133.243.238.164"},
        {458, "133.243.238.163"},
        {458, "133.243.238.243"},
        {458, "2001:df0:232:eea0::fff3"},
        {458, "2001:df0:232:eea0::fff4"},
        {463, "ntp.i2t.ehu.eus"},
        {463, "158.227.98.15"},
        {463, "2001:720:1410:101f::15"},
        {464, "ntp.nic.cz"},
        {464, "217.31.202.100"},
        {464, "2001:1488:ffff::100"},
        {465, "ntp1.time.bendig.name"},
        {466, "ntp1.time.bendig.name"},
        {467, "ntp3.time.bendig.name"},
        {468, "ntp4.time.bendig.name"},
        {469, "ntp5.time.bendig.name"},
        {470, "uk.ntp.f-box.org"},
        {471, "us.ntp.f-box.org"},
        {472, "de.ntp.f-box.org"},
        {473, "ntp.ntp-servers.com"},
        {473, "5.226.98.186"},
        {477, "ntp.bytestacker.com"},
        {478, "ntp.mazzanet.net.au"},
        {479, "ntp.dvconsulting.dk"},
        {479, "195.234.155.123"},
        {480, "ntp.gal.dk"},
        {480, "195.234.155.124"},
        {481, "tick.mtnlion.com"},
        {481, "204.13.164.164"},
        {483, "ntp.tourism.wa.gov.au"},
        {485, "time.intersecur.net"},
        {486, "ntp.ilianum.com"},
        {487, "ntp1.stsn.net"},
        {488, "ntp2.stsn.net"},
        {489, "ntp3.stsn.net"},
        {492, "ntp.kos.wsiz.rzeszow.pl"},
        {493, "nist.netservicesgroup.com"},
        {493, "64.113.32.5"},
        {494, "rtr.firmacem.ru"},
        {495, "ntp.fedoramd.org"},
        {496, "ntp.qays.net"},
        {498, "ntp.your.org"},
        {498, "204.9.54.119"},
        {498, "2001:4978:1:2:20e:feff:fe01:ac0"},
        {500, "hera.limescope.net"},
        {501, "itsuki.fkraiem.org"},
        {501, "91.121.157.10"},
        {501, "2001:41d0:1:de0a::1"},
        {505, "ntp0.mao.kiev.ua"},
        {506, "ntp.home-dn.net"},
        {506, "62.210.109.229"},
        {506, "2001:bc8:3663:200::1"},
        {508, "thecavemanslan.com"},
        {509, "b.ntp.br"},
        {509, "200.189.40.8"},
        {510, "c.ntp.br"},
        {510, "200.192.232.8"},
        {511, "a.ntp.br"},
        {511, "200.160.0.8"},
        {511, "2001:12ff::8"},
        {512, "ntp2.linocomm.net"},
        {512, "62.210.211.218"},
        {512, "2001:bc8:24c7:200::123"},
        {513, "ntp1.linocomm.net"},
        {513, "109.236.83.221"},
        {513, "2a00:7c80::d:0:0:0:123"},
        {514, "ntp.adc.am"},
        {514, "91.103.24.10"},
        {518, "ntp.eisvogel.nl"},
        {520, "ntp.dianacht.de"},
        {520, "77.37.6.59"},
        {520, "2001:4d88:1ffa:65::123"},
        {521, "ac-ntp1.net.cmu.edu"},
        {521, "128.2.1.21"},
        {522, "ac-ntp2.net.cmu.edu"},
        {522, "128.2.1.22"},
        {524, "utcnist2.colorado.edu"},
        {524, "128.138.141.172"},
        {525, "150.101.254.110"},
        {526, "ntp3.linocomm.net"},
        {526, "89.188.26.129"},
        {526, "2a01:1b0:7998:415::123"},
        {529, "nist1-la.witime.net"},
        {530, "timelordzero.shado.dyndns.info"},
        {531, "serv01.richs.nl"},
        {533, "89.16.173.64"},
        {534, "212.13.194.87"},
        {534, "2001:ba8:0:1f1:216:3eff:fe14:ae0a"},
        {535, "atom.uhr.de"},
        {536, "ntp.inode.at"},
        {537, "time.ufe.cz"},
        {537, "147.231.2.6"},
        {538, "ticktock.net.ru"},
        {540, "ntp1.dooh.ro"},
        {540, "89.36.93.9"},
        {540, "2a05:91c0:501::9"},
        {541, "ntp2.dooh.ro"},
        {541, "89.36.93.9"},
        {541, "2a05:91c0:501::9"},
        {543, "ntp01.packetscan.com"},
        {545, "ntp1.madavi.de"},
        {545, "81.169.169.173"},
        {545, "2a01:238:4244:bd00:54b7:3b77:e3ee:4e7c"},
        {546, "ntp2.madavi.de"},
        {546, "85.214.229.39"},
        {547, "ntp3.madavi.de"},
        {547, "85.214.240.94"},
        {547, "2a01:238:4202:e00:342a:970a:ad33:75fd"},
        {548, "asynchronos.iiss.at"},
        {549, "ntp.edge.tillo.ch"},
        {549, "31.3.135.236"},
        {551, "ntp.time.in.ua"},
        {551, "62.149.0.30"},
        {551, "2a03:6300:2::123"},
        {552, "quassia.associazione-tp.it"},
        {552, "212.45.144.11"},
        {555, "tiempo.promomedios.com"},
        {560, "ntp1.netwrx1.com"},
        {561, "ntp2.netwrx1.com"},
        {562, "ntp3.netwrx1.com"},
        {569, "ntp.mya.org"},
        {569, "75.150.206.145"},
        {572, "ntp4.vniiftri.ru"},
        {572, "89.109.251.24"},
        {573, "thecraag.com"},
        {574, "ntp2.radioalfa.pl"},
        {574, "89.174.70.2"},
        {575, "ntp.au.zoidial.com"},
        {576, "time.coi.pw.edu.pl"},
        {576, "194.29.130.252"},
        {577, "ntpstm.netbone-digital.com"},
        {578, "ntp.databank.com.gr"},
        {579, "ntp.demongeot.biz"},
        {579, "194.169.214.72"},
        {579, "46.105.237.136"},
        {579, "212.83.158.83"},
        {579, "195.154.174.209"},
        {579, "5.135.188.53"},
        {579, "2001:41d0:8:c535::1"},
        {579, "2001:bc8:313f::1"},
        {579, "2001:bc8:3e85:100::1"},
        {580, "ntp1.kangran.su"},
        {580, "46.252.169.154"},
        {581, "ntp.letinet.ru"},
        {581, "95.140.94.2"},
        {582, "ntp.vc.ukrtel.net"},
        {583, "ntp.grafix.nl"},
        {585, "localh0rst.de"},
        {588, "clock.fihn.net"},
        {590, "ntp.markyate.net"},
        {590, "84.45.170.220"},
        {590, "2001:4d48:ad51:2b03::da7e"},
        {591, "ntp2.idsi.md"},
        {591, "193.226.65.2"},
        {592, "time.edv-froehlich.de"},
        {592, "62.113.203.99"},
        {592, "185.133.72.100"},
        {592, "130.255.78.223"},
        {592, "62.113.203.55"},
        {592, "2a05:b0c6:5e4::2"},
        {592, "2a00:f48:100c:7b::2"},
        {592, "2a00:f48:100c:7e::2"},
        {592, "2a02:e00:ffec:11a::2"},
        {593, "ntp.crifo.org"},
        {593, "212.83.134.160"},
        {595, "ts1.aco.net"},
        {595, "193.171.23.163"},
        {595, "2001:628:2030:dcf1::ac0"},
        {596, "ts2.aco.net"},
        {596, "131.130.251.107"},
        {596, "2001:62a:4:311::ac0"},
        {597, "ntp1.openbsd.se"},
        {598, "ntp2.openbsd.se"},
        {604, "72.14.183.239"},
        {604, "2600:3c00::e:d0bb"},
        {607, "ntp1.rueckgr.at"},
        {607, "5.9.110.236"},
        {607, "2a01:4f8:162:51e2::2"},
        {608, "gwyn.kn-bremen.de"},
        {608, "148.251.8.79"},
        {609, "tick.mattnordhoff.com"},
        {609, "45.79.1.70"},
        {609, "2600:3c00::2:b401"},
        {610, "ntp.netzwerkteufel.net"},
        {611, "ntp.wsrs.net"},
        {611, "5.200.6.34"},
        {611, "2a02:348:54:5132::1"},
        {612, "stratum2-3.ntp.techfak.uni-bielefeld.de"},
        {612, "129.70.132.32"},
        {612, "2001:638:504:2000::32"},
        {613, "stratum2-3.ntp.techfak.uni-bielefeld.de"},
        {613, "129.70.132.32"},
        {613, "2001:638:504:2000::32"},
        {614, "stratum2-4.ntp.techfak.uni-bielefeld.de"},
        {614, "129.70.132.33"},
        {614, "2001:638:504:2000::33"},
        {615, "ntp.idsi.md"},
        {621, "timehu.lonyai.com"},
        {621, "213.157.100.71"},
        {622, "rafi.inha.ac.kr"},
        {623, "cse.inha.ac.kr"},
        {625, "ntp1.chrisjohnston.org"},
        {626, "ntp2.chrisjohnston.org"},
        {627, "ntp.systemtid.se"},
        {627, "212.181.208.227"},
        {628, "time.envirahost.com"},
        {631, "sesku.planeacion.net"},
        {631, "148.216.0.30"},
        {632, "ntp.jentfoo.com"},
        {632, "173.203.211.73"},
        {633, "time.fu-berlin.de"},
        {633, "130.133.1.10"},
        {634, "zeit.fu-berlin.de"},
        {634, "160.45.10.8"},
        {635, "ntp.lekksi.com"},
        {636, "tick.myodn.ch"},
        {639, "ntp.exion.tillo.ch"},
        {639, "31.3.135.236"},
        {640, "ntp1.borg-collective.org.uk"},
        {640, "82.68.133.225"},
        {641, "a.st1.ntp.br"},
        {641, "200.160.7.186"},
        {641, "2001:12ff::7:0:0:0:186"},
        {642, "c.st1.ntp.br"},
        {642, "200.186.125.195"},
        {643, "d.st1.ntp.br"},
        {643, "200.20.186.76"},
        {645, "ntp.duckcorp.org"},
        {645, "193.17.192.211"},
        {645, "2001:67c:1740:9016::c111:c0d3"},
        {646, "85.89.165.69"},
        {647, "91.215.80.69"},
        {648, "ntp.cyberinfo.se"},
        {648, "79.136.86.176"},
        {648, "2001:470:df57:2::9"},
        {649, "ntp.bsdbg.net"},
        {649, "95.87.227.232"},
        {650, "ntp.alks.org"},
        {652, "ntp.theforest.us"},
        {652, "184.73.235.44"},
        {652, "2001:470:e5a2::1"},
        {653, "clock.danplanet.com"},
        {654, "ntp1.doowan.net"},
        {654, "194.177.34.118"},
        {655, "iori.fkraiem.org"},
        {658, "ntp2.jentfoo.com"},
        {658, "184.106.219.19"},
        {660, "193.93.167.241"},
        {662, "optimusprime .64bitvps.com"},
        {663, "optimussupreme.64bitvps.com"},
        {664, "optimusprimal.64bitvps.com"},
        {668, "ntp.glorb.com"},
        {668, "204.235.61.9"},
        {668, "2607:fc18:bad:dead:beef::"},
        {669, "time.slackadelic.com"},
        {670, "ntp.amnic.net"},
        {670, "195.43.74.123"},
        {670, "2001:67c:21c:123::1"},
        {671, "time.falk.us"},
        {671, "74.104.167.114"},
        {672, "ntp.a-lab.fi"},
        {673, "ntp.billn.net"},
        {674, "ntp.strifler.name"},
        {675, "ntp3.stratum1.ru"},
        {675, "91.226.136.141"},
        {675, "2001:470:784d:fffd::6"},
        {676, "ntp1.stratum1.ru"},
        {676, "91.226.136.138"},
        {676, "88.147.254.228"},
        {676, "2001:470:784d:fffd::4"},
        {684, "timekeeper.delphij.net"},
        {684, "64.62.153.210"},
        {684, "2001:470:1:117::2"},
        {685, "ntp.reinig-it.de"},
        {685, "144.76.20.118"},
        {686, "ntp.melancthon.net"},
        {686, "66.228.48.238"},
        {687, "ntp.squirrels.us"},
        {688, "ntp2.kangran.su"},
        {688, "89.221.207.113"},
        {689, "ntp4.stratum2.ru"},
        {689, "91.226.136.155"},
        {689, "2001:470:784d:fffd::a"},
        {690, "ntp.sonur.ru"},
        {690, "83.143.51.50"},
        {692, "193.93.167.239"},
        {695, "81.94.123.16"},
        {695, "2001:4b20::beef:1:16"},
        {696, "81.94.123.17"},
        {696, "2001:4b20::beef:1:17"},
        {697, "b.st1.ntp.br"},
        {697, "201.49.148.135"},
        {698, "gps.ntp.br"},
        {698, "200.160.7.193"},
        {698, "200.160.7.197"},
        {698, "2001:12ff::7:0:0:0:197"},
        {698, "2001:12ff::7:0:0:0:193"},
        {700, "ntp.zyhyt.org"},
        {701, "ntp.blava.net"},
        {704, "openbrick.kicks-ass.net"},
        {704, "66.114.93.6"},
        {706, "ntp.ramtek.net.tr"},
        {706, "195.149.85.1"},
        {709, "157.88.36.37"},
        {713, "ntp.baseip.com"},
        {714, "time.digibase.ca"},
        {714, "72.38.129.202"},
        {715, "fergus.myftp.org"},
        {715, "178.124.149.113"},
        {716, "ntp1.de"},
        {716, "178.63.61.67"},
        {717, "109.95.210.143"},
        {719, "ntp.exact-time.org"},
        {719, "31.28.161.68"},
        {719, "2a03:6300:1:100::123"},
        {721, "ntp2.rueckgr.at"},
        {721, "78.47.148.174"},
        {721, "2a01:4f8:d13:885::2"},
        {722, "ntp1.inflammable.ws"},
        {723, "ntp2.inflammable.ws"},
        {727, "ntp.spbrasil.com.br"},
        {727, "200.189.40.8"},
        {728, "ntp.baragwanath.co.za"},
        {728, "146.64.24.58"},
        {729, "time.spbrasil.com.br"},
        {730, "ntp1.bluepink.ro"},
        {730, "91.216.151.59"},
        {731, "ntp2.bluepink.ro"},
        {731, "91.216.151.61"},
        {732, "ntp3.bluepink.ro"},
        {732, "91.216.151.201"},
        {733, "ntp4.bluepink.ro"},
        {734, "ntp5.bluepink.ro"},
        {734, "91.216.151.202"},
        {735, "clock01.sctn01.burst.net"},
        {736, "clock02.sctn01.burst.net"},
        {737, "clock01.mifl01.burst.net"},
        {738, "clock02.mifl01.burst.net"},
        {739, "clock01.laca02.burst.net"},
        {740, "clock02.laca02.burst.net"},
        {747, "ntp2.aas.ru"},
        {747, "195.210.189.103"},
        {748, "ntp1.aas.ru"},
        {748, "195.210.189.106"},
        {751, "tock.binary.net"},
        {751, "216.229.0.50"},
        {752, "tick.binary.net"},
        {752, "216.229.0.49"},
        {753, "tick.ellipse.net"},
        {753, "216.229.4.66"},
        {754, "tock.ellipse.net"},
        {754, "216.229.4.69"},
        {755, "ntp.aas.ru"},
        {755, "195.210.189.106"},
        {756, "ntp.sceen.net"},
        {756, "151.80.19.218"},
        {756, "2001:41d0:c:ada::1"},
        {757, "ntp2b.mcc.ac.uk"},
        {757, "130.88.200.4"},
        {760, "ntppub.le.ac.uk"},
        {760, "143.210.16.201"},
        {760, "2001:630:306:10::c9"},
        {762, "nn.sg"},
        {763, "ntp2.de"},
        {763, "178.63.61.67"},
        {765, "ntp1.servman.ca"},
        {765, "24.141.214.195"},
        {766, "ntp.ix.ru"},
        {766, "194.190.168.1"},
        {766, "2001:6d0:ffd4::1"},
        {769, "ntp.bozoncek.si.eu.org"},
        {770, "ntp2v6.unixnet.dk"},
        {770, "2001:470:1f15:175::2"},
        {771, "einstein.kenyonralph.com"},
        {771, "2600:8801:9300:1f7:222:4dff:fe83:cd4a"},
        {772, "173.255.215.209"},
        {772, "2600:3c01::f03c:91ff:fe93:b0d1"},
        {773, "ntp.hds-tech.fr"},
        {774, "ntp0.luns.net.uk"},
        {774, "217.114.59.66"},
        {774, "2a01:8900::aaaa"},
        {775, "ntp1.luns.net.uk"},
        {775, "217.114.59.3"},
        {775, "2a01:8900::1:0:0:0:aaaa"},
        {778, "tick.eoni.com"},
        {778, "216.228.192.51"},
        {778, "2607:f248::33"},
        {779, "tock.eoni.com"},
        {779, "216.228.192.52"},
        {779, "2607:f248::34"},
        {780, "ntp.ishikawa.sne.jp"},
        {781, "ntp.synet.edu.cn"},
        {782, "ntp.neu6.edu.cn"},
        {782, "202.118.1.130"},
        {782, "2001:da8:9000::130"},
        {785, "dmz0.la-archdiocese.net"},
        {785, "209.151.225.100"},
        {786, "dmz2.la-archdiocese.net"},
        {786, "205.161.200.3"},
        {788, "ntp3.servman.ca"},
        {788, "72.38.65.102"},
        {791, "ntp1.iqnet.com"},
        {791, "62.201.214.162"},
        {792, "ntp2.iqnet.com"},
        {793, "stratum1.net"},
        {794, "ntp.tuna.tsinghua.edu.cn"},
        {795, "ntp.malbolge.de"},
        {795, "78.47.234.59"},
        {796, "ntp2.roethof.net"},
        {797, "time.iqnet.com"},
        {797, "62.201.225.9"},
        {798, "auvz.com"},
        {799, "time.ostseehaie.de"},
        {799, "78.46.60.42"},
        {799, "2a01:4f8:201:4101::42"},
        {801, "ntp.giteafuntana.com"},
        {802, "ntp.syari.net"},
        {802, "91.121.165.146"},
        {802, "2001:41d0:1:e692::1"},
        {803, "suro.ubaya.ac.id"},
        {804, "buaya.klas.or.id"},
        {805, "173.224.213.42"},
        {807, "ntp1.tcpd.net"},
        {808, "ntp2.tcpd.net"},
        {809, "ntp3.tcpd.net"},
        {810, "ntp.carlfletcher.org"},
        {811, "ntp.mattrudge.net"},
        {811, "46.7.145.15"},
        {812, "ntp.snotboble.net"},
        {814, "ntp.initipi.sk"},
        {814, "92.245.0.16"},
        {815, "chronus.carlso.net"},
        {816, "ntp.icestarirc.org"},
        {816, "84.200.25.31"},
        {816, "2001:1608:10:30:1::3"},
        {817, "ntp.miknight.com"},
        {818, "time.awyeah.net"},
        {818, "206.125.173.30"},
        {818, "2607:f2f8:7400::4"},
        {819, "saladfingerz.co.uk"},
        {821, "ntp.jedamzik.net"},
        {823, "ntp1.innoscale.net"},
        {825, "time.hko.hk"},
        {825, "2407:8000:8001:80::8"},
        {825, "2403:5000:171:11::2"},
        {830, "ntp1.upcbiz.ro"},
        {830, "78.96.7.25"},
        {831, "ntp2.upcbiz.ro"},
        {831, "194.102.255.19"},
        {832, "ntp3.upcbiz.ro"},
        {832, "78.96.7.8"},
        {833, "ntp.pbox.org"},
        {833, "91.121.167.54"},
        {833, "2001:41d0:1:e836::1"},
        {834, "chronos.univ-montp3.fr"},
        {834, "193.52.136.2"},
        {835, "chronos2.univ-montp3.fr"},
        {835, "193.52.137.213"},
        {836, "ntp0.hochstaetter.de"},
        {836, "176.221.46.134"},
        {836, "2a00:1158:2:2d00::123"},
        {837, "199.249.223.123"},
        {838, "ntp.terwan.nl"},
        {838, "213.125.195.210"},
        {838, "2001:470:1f15:17ce::1:0"},
        {839, "a.ntp.fryxell.info"},
        {839, "109.197.193.160"},
        {839, "2001:470:cb16:a::123"},
        {840, "ntp2.301-moved.de"},
        {840, "217.144.138.234"},
        {840, "2a02:a00:1009:6202::123"},
        {841, "bbot.org"},
        {843, "ntp1.us.vetroff.net"},
        {846, "ntp.cornuwel.net"},
        {847, "tick.teljet.net"},
        {847, "64.25.209.61"},
        {847, "2607:fc58:1:2d::2"},
        {848, "tock.teljet.net"},
        {848, "67.217.112.181"},
        {848, "2607:fc58:1:2c::2"},
        {849, "ntp4.stratum1.ru"},
        {849, "88.147.254.229"},
        {849, "2001:470:784d:fffd::7"},
        {851, "ntp.wien.diakoniewerk.at"},
        {851, "193.170.62.252"},
        {854, "time.markosyan.info"},
        {855, "ntp.spadhausen.com"},
        {856, "ntp.4network.eu"},
        {858, "ntp1.proserve.nl"},
        {858, "80.84.224.86"},
        {858, "2001:828:101:1::86:1"},
        {859, "ntp2.proserve.nl"},
        {859, "83.96.224.86"},
        {859, "2001:828:101:42::86:1"},
        {860, "212.204.198.85"},
        {860, "2001:898:2000:1a::15"},
        {863, "fw2.unixnet.dk"},
        {864, "ntp.jh1.at"},
        {864, "88.117.229.109"},
        {865, "ntp.deman.ru"},
        {865, "212.164.119.161"},
        {866, "zeit.tr-it.net"},
        {867, "ntp2.niiftri.irkutsk.ru"},
        {867, "46.254.241.75"},
        {868, "ntp1.niiftri.irkutsk.ru"},
        {868, "46.254.241.74"},
        {870, "time.ii1.net"},
        {872, "time.sea1.cloudsingularity.net"},
        {875, "time.ii1.net"},
        {876, "ntp0.1asiacom.net"},
        {877, "ntp1.cu.be"},
        {878, "ntp2.cu.be"},
        {879, "ntp.crashdump.fr"},
        {880, "ntp0.dhivehinet.net.mv"},
        {880, "27.114.150.10"},
        {881, "ntp1.dhivehinet.net.mv"},
        {881, "27.114.150.11"},
        {882, "ntp2.dhivehinet.net.mv"},
        {882, "27.114.150.12"},
        {883, "ntp3.dhivehinet.net.mv"},
        {883, "27.114.150.13"},
        {885, "time.dhco.org"},
        {885, "89.101.218.6"},
        {886, "scanbitntp.scanbit-data.dk"},
        {886, "85.191.98.171"},
        {889, "ntp2.sptime.se"},
        {889, "193.11.166.18"},
        {889, "2001:6b0:42:2::123"},
        {890, "193.11.166.52"},
        {890, "2001:6b0:42:4::123"},
        {891, "ntp3.sptime.se"},
        {891, "193.11.166.36"},
        {891, "2001:6b0:42:3::123"},
        {892, "ntp1.sptime.se"},
        {892, "193.11.166.2"},
        {892, "2001:6b0:42:1::123"},
        {893, "ntp.neu.edu.cn"},
        {893, "202.118.1.46"},
        {893, "202.118.1.47"},
        {893, "202.118.1.48"},
        {893, "2001:da8:9000::46"},
        {893, "2001:da8:9000::47"},
        {893, "2001:da8:9000::48"},
        {894, "time.cloudplasma.co.uk"},
        {894, "149.202.58.157"},
        {896, "vniiftri.khv.ru"},
        {896, "212.19.6.218"},
        {897, "vniiftri2.khv.ru"},
        {898, "ntp.jbheinz.com"},
        {898, "73.37.183.90"},
        {900, "ntp1.innolan.net"},
        {900, "90.184.222.114"},
        {901, "ntp2.innolan.net"},
        {901, "90.184.222.115"},
        {902, "ntp3.innolan.net"},
        {903, "192.157.248.117"},
        {904, "ntp.luna.nl"},
        {904, "217.77.132.1"},
        {905, "ntp2.upcbiz.ro"},
        {905, "194.102.255.19"},
        {906, "ntp1.xfree.com.ar"},
        {907, "ntp-badger.dyndns.info"},
        {907, "76.123.37.53"},
        {911, "time.osoal.org.nz"},
        {911, "103.239.8.22"},
        {911, "2001:4428::dc:0:0:0:22"},
        {912, "buaya.klas.or.id"},
        {913, "buaya.klas.or.id"},
        {914, "buaya.klas.or.id"},
        {915, "ntp.e-utp.net"},
        {915, "89.231.96.83"},
        {915, "2001:67c:21ec:1000::b"},
        {915, "2001:67c:21ec:1000::a"},
        {916, "time.voodoonet.biz"},
        {916, "212.233.131.131"},
        {917, "a.time.steadfast.net"},
        {917, "208.100.4.52"},
        {917, "2607:f128:1:3::b"},
        {918, "67.202.100.50"},
        {918, "2607:f128::50"},
        {919, "c.time.steadfast.net"},
        {919, "208.100.0.228"},
        {919, "2607:f128:1:3::dd1"},
        {920, "d.time.steadfast.net"},
        {921, "e.time.steadfast.net"},
        {921, "69.162.170.4"},
        {921, "2607:f128:400:1::dd2"},
        {922, "f.time.steadfast.net"},
        {924, "ntp.hisp.no"},
        {927, "time.m18.ru"},
        {928, "ntp.net.dn.ua"},
        {928, "193.201.206.3"},
        {931, "jasper.skywolf.net"},
        {933, "ntp.amnic.net"},
        {933, "195.43.74.123"},
        {933, "2001:67c:21c:123::1"},
        {934, "ntp.1e128.com"},
        {935, "ntp.vie.datendienst.at"},
        {938, "ntp.colinbarrett.co.uk"},
        {940, "ns.al-abrarcom.com"},
        {940, "185.23.154.26"},
        {941, "109.205.112.69"},
        {943, "ntp3.mattnordhoff.com"},
        {943, "66.228.59.187"},
        {943, "2600:3c02::13:220"},
        {944, "time.as43289.net"},
        {944, "178.17.162.12"},
        {944, "178.17.160.12"},
        {944, "178.17.161.12"},
        {944, "2a00:1dc0::12"},
        {944, "2a00:1dc0:2::12"},
        {944, "2a00:1dc0:1::12"},
        {945, "ntp2.campus-rv.net"},
        {945, "193.106.144.7"},
        {945, "2a00:fc00:e000:1::7"},
        {946, "r10.net"},
        {947, "192.168.1.230"},
        {949, "ap.cagb.org"},
        {950, "time.hnsoft.co.kr"},
        {951, "time.delphi.or.kr"},
        {955, "ntp.be.it2go.eu"},
        {955, "185.77.199.1"},
        {956, "ntp.be.it2go.eu"},
        {956, "185.77.199.1"},
        {960, "time.nettel.cz"},
        {960, "37.187.104.44"},
        {960, "78.108.145.1"},
        {960, "147.231.100.5"},
        {960, "80.79.25.111"},
        {963, "ntp0.catn.com"},
        {963, "87.124.126.49"},
        {964, "ntp1.ona.org"},
        {964, "206.186.121.125"},
        {965, "ntp2.ona.org"},
        {965, "206.186.121.118"},
        {967, "ntp.poweron.dk"},
        {969, "time.helux.nl"},
        {971, "ntp.canakkalefirewall.com"},
        {973, "gclock01.dupa01.burst.net"},
        {974, "gclock02.dupa01.burst.net"},
        {975, "clock01.chil01.burst.net"},
        {976, "ntp.first2know.net"},
        {976, "164.138.26.20"},
        {976, "2a02:2770:3::21a:4aff:fe06:216"},
        {977, "207.198.125.20"},
        {978, "minx.samspin.net"},
        {979, "212.7.1.131"},
        {979, "2001:1b28:1:5::131"},
        {980, "212.7.1.132"},
        {980, "2001:1b28:1:5::132"},
        {981, "bonehead.moronica.org"},
        {981, "173.255.227.205"},
        {981, "2600:3c03::f03c:91ff:feae:3952"},
        {984, "mercury.tyler-k.me"},
        {985, "ntp.zyx.ro"},
        {985, "89.47.39.10"},
        {986, "ntp.dom1k.tk"},
        {988, "ntp-bali.hyper.net.id"},
        {988, "114.129.16.19"},
        {990, "ntpmon.dcs1.biz"},
        {990, "203.123.48.219"},
        {990, "2405:fc00::1:0:0:0:123"},
        {992, "ntp.im-www.eu"},
        {993, "ntp.hambox.fr"},
        {993, "94.23.8.212"},
        {994, "ntp.lcf.mx"},
        {994, "189.216.244.125"},
        {996, "ntp.cornuwel.net"},
        {997, "0x.sg"},
        {1001, "ntp0.heikorichter.name"},
        {1002, "ntp1.heikorichter.name"},
        {1003, "ntp2.heikorichter.name"},
        {1004, "ntp3.heikorichter.name"},
        {1005, "ns2.interactiveshades.com"},
        {1008, "ntp04.hoberg.ch"},
        {1009, "ntp02.hoberg.ch"},
        {1009, "5.45.105.11"},
        {1009, "2a03:4000:6:126a::1337"},
        {1011, "r00t.cf"},
        {1013, "jikan.ae7.st"},
        {1017, "khronos.nis.portalus.net"},
        {1017, "173.220.95.86"},
        {1018, "ching.ae7.st"},
        {1019, "time.alaskaroad.com"},
        {1019, "67.42.122.77"},
        {1020, "204.13.164.130"},
        {1024, "timestr.lonyai.com"},
        {1024, "85.25.210.112"},
        {1026, "ntp2.jimsoffice.org"},
        {1028, "ntp.kiewel-online.ch"},
        {1030, "ntp.fangfufu.co.uk"},
        {1030, "37.187.98.51"},
        {1030, "2001:41d0:a:2233::1"},
        {1031, "ntp.freestone.net"},
        {1031, "193.5.68.2"},
        {1031, "2001:67c:8:abcd::2"},
        {1033, "klockan.poliser.nu"},
        {1033, "87.237.210.147"},
        {1034, "ntp.us.v-yu.com"},
        {1035, "ntp.eu.v-yu.com"},
        {1036, "ntp.gwadar.cn"},
        {1036, "42.96.167.209"},
        {1037, "okdquick.gotdns.org"},
        {1039, "ntp01.hoberg.ch"},
        {1039, "5.45.97.157"},
        {1039, "2a03:4000:5:221::1337"},
        {1041, "user.veloxzone.com.br"},
        {1042, "ntp1.berlin-provider.de"},
        {1043, "ntp2.berlin-provider.de"},
        {1044, "ntp4.berlin-provider.de"},
        {1045, "ntp3.berlin-provider.de"},
        {1046, "ntp5.berlin-provider.de"},
        {1047, "ntp6.berlin-provider.de"},
        {1048, "ntp.freiwuppertal.de"},
        {1048, "109.239.58.247"},
        {1049, "ntp4.jimsoffice.org"},
        {1050, "192.168.0.1"},
        {1053, "ntp2.inrim.it"},
        {1053, "193.204.114.233"},
        {1054, "ntp2.inrim.it"},
        {1054, "193.204.114.233"},
        {1056, "time.ume.tubitak.gov.tr"},
        {1056, "194.27.222.5"},
        {1057, "ntp.mamalibre.com.ar"},
        {1057, "181.164.49.61"},
        {1059, "ntp.networkxxiii.de"},
        {1061, "tock.stdtime.gov.tw"},
        {1061, "211.22.103.157"},
        {1062, "watch.stdtime.gov.tw"},
        {1062, "118.163.81.63"},
        {1063, "time.stdtime.gov.tw"},
        {1063, "118.163.81.61"},
        {1063, "2001:b031:5c02:ff00::5"},
        {1064, "clock.stdtime.gov.tw"},
        {1064, "211.22.103.158"},
        {1065, "tick.stdtime.gov.tw"},
        {1065, "118.163.81.62"},
        {1066, "time.stdtime.gov.tw"},
        {1066, "118.163.81.61"},
        {1066, "2001:b031:5c02:ff00::5"},
        {1067, "87.253.152.191"},
        {1067, "2a01:7c8:c020:3::191"},
        {1068, "ntp.ring.nlnog.net"},
        {1068, "80.94.65.10"},
        {1068, "2a02:d28:10:3::2"},
        {1069, "ntp.citra.net.id"},
        {1069, "202.65.114.202"},
        {1070, "mail.lee-family.me.uk"},
        {1070, "88.96.199.9"},
        {1071, "ntp.colreilly.co.uk"},
        {1073, "201.198.247.251"},
        {1074, "ice lmve ntp2 server"},
        {1075, "87.120.164.97"},
        {1076, "cyberdc1.cybertech.com"},
        {1077, "206.108.0.131"},
        {1077, "2620:10a:800f::11"},
        {1078, "206.108.0.132"},
        {1078, "2620:10a:800f::12"},
        {1079, "hajjam.net"},
        {1080, "ntp1.hajjam.net"},
        {1081, "ntp2.hajjam.net"},
        {1082, "bolt.brockhurst.co.nz"},
        {1082, "45.33.43.222"},
        {1082, "2600:3c01::f03c:91ff:feae:ee12"},
        {1083, "is.txtfile.eu"},
        {1085, "ntp.ix.ru"},
        {1085, "194.190.168.1"},
        {1085, "2001:6d0:ffd4::1"},
        {1086, "ntp.ix.ru"},
        {1086, "194.190.168.1"},
        {1086, "2001:6d0:ffd4::1"},
        {1087, "dl8obh.users.dk0mav.as64643.de.ampr.org"},
        {1088, "68.108.190.192"},
        {1089, "tick.usshc.com"},
        {1089, "199.102.46.70"},
        {1090, "fry.helpfulhosting.net"},
        {1091, "zoidberg.helpfulhosting.net"},
        {1092, "time.atl1.cloudsingularity.net"},
        {1093, "pool.kthx.at"},
        {1094, "107.170.157.15"},
        {1095, "70.114.226.42"},
        {1096, "larsdebruin.net"},
        {1099, "ntp.x.znx.cc"},
        {1099, "118.189.177.157"},
        {1101, "thequarkworks.com"},
        {1102, "ntp.neel.ch"},
        {1102, "79.143.250.152"},
        {1104, "ntp.marsh.ws"},
        {1105, "servicios.santiago.utfsm.cl"},
        {1106, "www.omaserveri.info"},
        {1107, "ojab.ru"},
        {1107, "195.91.239.8"},
        {1107, "2a02:578:5002:99::2"},
        {1107, "2001:470:27:50c::2"},
        {1107, "2002:c35b:ef08::1"},
        {1108, "tock.usshc.com"},
        {1108, "199.102.46.72"},
        {1109, "ntp.mts.by"},
        {1110, "level1e.cs.unc.edu"},
        {1110, "152.2.133.52"},
        {1111, "level1f.cs.unc.edu"},
        {1111, "152.2.133.53"},
        {1112, "level1g.cs.unc.edu"},
        {1112, "152.2.133.54"},
        {1113, "level1h.cs.unc.edu"},
        {1113, "152.2.133.55"},
        {1115, "id-co.in"},
        {1115, "5.135.186.82"},
        {1115, "2001:41d0:8:c352::1"},
        {1116, "cronos.villaraton.mx"},
        {1116, "104.236.114.203"},
        {1116, "138.197.132.106"},
        {1116, "138.68.136.118"},
        {1116, "2a03:b0c0:1:a1::470:8001"},
        {1116, "2604:a880:800:10::e25:1001"},
        {1116, "2604:a880:cad:d0::333:9001"},
        {1117, "carbon.neersighted.com"},
        {1118, "oxygen.neersighted.com"},
        {1119, "hora.tucumania.com"},
        {1120, "idcoin.me"},
        {1121, "ntp.icemoonprison.com"},
        {1121, "150.101.217.196"},
        {1121, "2001:44b8:41bd:c40f::196"},
        {1122, "ntp.rleh.de"},
        {1122, "188.68.58.202"},
        {1122, "2a03:4000:6:f071::"},
        {1124, "ntp.colreilly.co.uk"},
        {1125, "ntp.neel.ch"},
        {1125, "79.143.250.152"},
        {1126, "ntp.algon.dk"},
        {1126, "212.99.233.66"},
        {1130, "time.onlydecay.co.uk"},
        {1131, "itsuki.fkraiem.org"},
        {1131, "91.121.157.10"},
        {1131, "2001:41d0:1:de0a::1"},
        {1132, "ntp1.musurit.net"},
        {1132, "131.0.232.2"},
        {1132, "2803:f580::2"},
        {1133, "ntp.intiland.net"},
        {1133, "113.52.148.37"},
        {1133, "2001:df0:e2:5::37"},
        {1134, "time.ian.sh"},
        {1135, "31.214.242.211"},
        {1136, "108.224.49.4"},
        {1137, "ct-station"},
        {1138, "77.37.146.85"},
        {1139, "ntp2.ir.mihanit.net"},
        {1140, "ntp1.versadns.com"},
        {1140, "50.126.194.189"},
        {1141, "ntp2a.versadns.com"},
        {1141, "69.60.110.177"},
        {1142, "ntp.vortex.tillo.ch"},
        {1142, "31.3.135.238"},
        {1145, "ntp.twafamkes.nl"},
        {1145, "82.95.77.234"},
        {1145, "2001:980:1419:1:ba27:ebff:fe1b:14a5"},
        {1146, "ntp.oalm.gub.uy"},
        {1146, "190.64.208.2"},
        {1148, "ntp.nic.kz"},
        {1148, "80.241.0.72"},
        {1149, "ntp.nic.kz"},
        {1149, "80.241.0.72"},
        {1150, "195.154.71.176"},
        {1151, "pool.ntp.org"},
        {1153, "0.time.itoc.com.au"},
        {1153, "54.206.109.187"},
        {1154, "h9913310.innovit-it.nl"},
        {1155, "vieth-server.de"},
        {1156, "pfuideifi.org"},
        {1157, "170.155.148.1"},
        {1158, "170.155.148.1"},
        {1160, "ntp0.a-schieb.de"},
        {1161, "ntp1.a-schieb.de"},
        {1162, "ntp.bytenet.in"},
        {1163, "t96.nl"},
        {1164, "ntp.amnic.net"},
        {1164, "195.43.74.123"},
        {1164, "2001:67c:21c:123::1"},
        {1167, "ntp1.xipalia.com"},
        {1167, "37.59.119.229"},
        {1168, "ntp2.xipalia.com"},
        {1168, "85.25.49.90"},
        {1170, "ntp03.hoberg.ch"},
        {1170, "2a03:4000:5:221::1338"},
        {1171, "onion.huggyshifters.co.uk"},
        {1172, "ntp.dystopia.io"},
        {1172, "108.52.219.144"},
        {1173, "ntp.mobatime.ru"},
        {1173, "85.114.26.194"},
        {1174, "ntp1.tsahosting.net"},
        {1174, "72.67.6.35"},
        {1175, "ntp2.tsahosting.net"},
        {1177, "ntp6.smatwebdesign.com"},
        {1177, "2600:3c00::f03c:91ff:fe18:b0dc"},
        {1178, "ntp.fizyka.umk.pl"},
        {1178, "158.75.5.245"},
        {1179, "time.server02.sm-ict.com"},
        {1180, "ifconfig.com.ua"},
        {1180, "78.26.180.80"},
        {1181, "ntp0.borg-collective.org.uk"},
        {1181, "192.81.223.51"},
        {1182, "ntp0.goonhillydatacentre.co.uk"},
        {1183, "ntp-de.stygium.net"},
        {1183, "104.238.159.77"},
        {1183, "2001:19f0:6c00:94c6:5400:ff:fe16:b301"},
        {1184, "izz.ntp.org"},
        {1185, "ntp1.atabyte.net"},
        {1185, "208.100.29.180"},
        {1185, "2607:f128:40:2a00:a576::"},
        {1186, "ntp2.atabyte.net"},
        {1187, "ntp01.steambay.nl"},
        {1188, "ntp02.steambay.nl"},
        {1189, "ntp03.steambay.nl"},
        {1190, "ntp1a.versadns.com"},
        {1190, "50.4.23.100"},
        {1191, "time.fotiu.com"},
        {1191, "69.90.132.51"},
        {1192, "93.157.10.210"},
        {1193, "ntp.rootshells.eu"},
        {1193, "87.120.164.97"},
        {1194, "83.162.251.130"},
        {1194, "2001:981:fc90:1::1618"},
        {1195, "ntp2.viertwaalf.nl"},
        {1196, "ntp1.flarecloud.net"},
        {1196, "54.83.7.186"},
        {1198, "ntp1.xe.gr"},
        {1198, "194.116.168.40"},
        {1199, "ntp2.xe.gr"},
        {1199, "194.116.168.41"},
        {1200, "ntp2.crifo.org"},
        {1200, "163.172.198.88"},
        {1201, "ntp.silicann.com"},
        {1201, "88.80.200.13"},
        {1202, "213.231.5.165"},
        {1203, "194.54.161.214"},
        {1204, "78.26.180.56"},
        {1205, "206.108.0.133"},
        {1205, "2620:10a:800f::13"},
        {1206, "time1.bokke.rs"},
        {1206, "84.80.85.74"},
        {1206, "2001:470:1f15:110e:87d:2d0d:5d64:7da8"},
        {1207, "time.optimaal.fm"},
        {1208, "0.ntp.2rz.ru"},
        {1208, "85.116.124.104"},
        {1209, "kangaroo.lan.forstwoof.ru"},
        {1209, "213.141.154.170"},
        {1209, "2001:470:733c:1::5"},
        {1210, "chameleon.forstwoof.ru"},
        {1211, "time.jo"},
        {1213, "ntp.jo"},
        {1214, "193.188.64.228"},
        {1215, "193.188.64.228"},
        {1217, "ntp1.teambelgium.net"},
        {1217, "81.83.19.45"},
        {1217, "2a02:1807:10::1"},
        {1220, "62.168.116.66"},
        {1221, "ntp0.dc1.laodc.com"},
        {1222, "ntp.stevemeacham.net"},
        {1222, "50.116.52.97"},
        {1222, "2600:3c03::f03c:91ff:feae:82c1"},
        {1223, "192.168.129.212"},
        {1223, "fe80::f03c:91ff:feae:82c1"},
        {1224, "ntp1.anduin.org.uk"},
        {1224, "92.27.75.51"},
        {1224, "2001:470:1f09:a8e::3"},
        {1226, "ntp.omnilance.com"},
        {1226, "194.54.80.28"},
        {1226, "2001:67c:25dc::10"},
        {1228, "193.145.15.6"},
        {1231, "dcmainut01.srsmain.com"},
        {1232, "cambria.bitsrc.net"},
        {1232, "69.64.225.2"},
        {1233, "ntp1.laukas.lt"},
        {1233, "78.60.205.220"},
        {1234, "time.jlkhosting.com"},
        {1234, "167.114.204.238"},
        {1235, "ntp.jre655.com"},
        {1235, "157.7.208.12"},
        {1237, "ntp.neusoft.edu.cn"},
        {1237, "219.216.128.25"},
        {1237, "2001:da8:a807::25"},
        {1239, "nettuno.ntp.irh.it"},
        {1239, "37.247.53.178"},
        {1239, "2a00:dcc0:dead:a5b2::123"},
        {1240, "ntp.finalhosting.cz"},
        {1240, "46.167.244.222"},
        {1241, "lumberton-nj-ntp.dyndns.info"},
        {1241, "71.188.120.163"},
        {1242, "17ctuxuong.nsupdate.org"},
        {1243, "time.btr.net"},
        {1243, "45.79.182.100"},
        {1243, "2600:3c03::f03c:91ff:fe61:c5a3"},
        {1245, "ntp.cure.edu.uy"},
        {1245, "164.73.227.4"},
        {1245, "2001:1328:56::4"},
        {1246, "ntp.copayan.uy"},
        {1246, "190.64.134.52"},
        {1247, "ntp2.cure.edu.uy"},
        {1247, "164.73.232.34"},
        {1248, "minuto.roa.es"},
        {1248, "150.214.94.10"},
        {1250, "ntp.civix.ci"},
        {1252, "ntp.looney.network"},
        {1252, "83.162.149.224"},
        {1253, "time0.raxacoricofallapatorius.biz"},
        {1253, "82.69.171.134"},
        {1255, "time1.raxacoricofallapatorius.biz"},
        {1255, "82.69.193.46"},
        {1256, "ntp.sstf.nsk.ru"},
        {1256, "80.242.83.227"},
        {1257, "ntp.bcs2005.de"},
        {1257, "51.254.155.97"},
        {1258, "ntp.neo.consult-in.fr"},
        {1260, "time.t3kkit.com"},
        {1260, "86.85.103.243"},
        {1261, "stratum-1.sjc02.svwh.net"},
        {1261, "162.213.2.253"},
        {1262, "ntp.bcs2005.net"},
        {1262, "51.254.155.97"},
        {1263, "time1.mbix.ca"},
        {1263, "198.181.199.82"},
        {1263, "2620:19:4000:100::82"},
        {1266, "jarvis.arlen.io"},
        {1266, "45.33.13.54"},
        {1266, "2600:3c00:e000:143::5"},
        {1267, "domser.atomki.mta.hu"},
        {1267, "193.6.176.19"},
        {1267, "2001:738:3100:310:13::"},
        {1268, "ntp.atomki.mta.hu"},
        {1268, "193.6.176.59"},
        {1269, "learning.raf.edu.rs"},
        {1269, "217.24.20.5"},
        {1269, "2001:470:2160:1:20c:29ff:fe28:be8d"},
        {1270, "ntp.nexcess.net"},
        {1270, "208.69.120.241"},
        {1270, "2607:f7c0:1:af00:d045:7800::f1"},
        {1271, "ntp.sdi.net.id"},
        {1272, "0.ntp.segoen.ml"},
        {1274, "time.nc7j.com"},
        {1274, "73.98.218.154"},
        {1275, "168.181.185.90"},
        {1276, "ntp.mirror.ba"},
        {1276, "80.65.85.94"},
        {1277, "52.29.252.68"},
        {1278, "us.ut.time1.ntp.jvwjgames.net"},
        {1279, "ntp.intergnet.ru"},
        {1279, "91.211.136.1"},
        {1280, "mail.mountaintop.org"},
        {1280, "24.111.6.130"},
        {1283, "time.voodoonet.biz"},
        {1283, "212.233.131.131"},
        {1285, "tick.pdp.bz"},
        {1285, "91.134.227.50"},
        {1285, "2001:470:1a04::91:134:227:50"},
        {1286, "tock.pdp.bz"},
        {1286, "91.134.227.51"},
        {1286, "2001:470:1a04::91:134:227:51"},
        {1287, "rjbeilstein.org"},
        {1287, "71.176.109.169"},
        {1288, "hanwhalife"},
        {1291, "roc.nipne.ro"},
        {1291, "194.102.58.173"},
        {1292, "0x21h.net"},
        {1292, "82.193.117.90"},
        {1292, "2001:15c0:65ff:235::2"},
        {1293, "playscrape"},
        {1294, "ntp.thaidns.co.th"},
        {1294, "202.129.206.95"},
        {1295, "pool.time.org"},
        {1296, "time.coreblock.io"},
        {1296, "139.59.177.198"},
        {1296, "2a03:b0c0:1:a1::470:5001"},
        {1297, "ntp.oticasvisao.net.br"},
        {1298, "me-ntp.mecc.edu"},
        {1302, "sanyalnet-cloud-vps.freeddns.org"},
        {1302, "64.137.248.161"},
        {1302, "64.137.248.212"},
        {1304, "sanyalnet-cloud-vps2.freeddns.org"},
        {1304, "64.137.228.122"},
        {1306, "ntp.freiwuppertal.de"},
        {1306, "109.239.58.247"},
        {1308, "ntp2.ic.net.uk"},
        {1308, "193.188.205.101"},
        {1308, "2a02:ac00:2:1::5"},
        {1309, "ntp1.franconet.ca"},
        {1310, "dhcp1.kengel.com"},
        {1310, "71.162.246.236"},
        {1311, "dhcp1.kengel.com"},
        {1311, "71.162.246.236"},
        {1312, "time.dunitek.com"},
        {1312, "192.187.114.131"},
        {1313, "www.simonbarjona.com"},
        {1313, "23.31.92.161"},
        {1314, "second.jerpat.us"},
        {1315, "certic.info"},
        {1315, "31.193.170.5"},
        {1317, "time.esa.int"},
        {1317, "131.176.107.13"}
    };
}