﻿// 
// Copyright (c) 2013-2016 Carsten Sonne Larsen <cs@innolan.dk>
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

namespace Ntp.Analyzer.Config.Table
{
    public enum Symbol
    {
        WhiteSpace,
        OpeningBrace,
        ClosingBrace,
        BooleanTrue,
        BooleanFalse,
        Zero,
        One,
        Quote,
        NewLine,
        EndOfFile,
        Undefined,
        Unknown,
        RootNode,
        KeywordName,
        KeywordHost,
        KeywordUser,
        KeywordPass,
        KeywordFile,
        KeywordSyslog,
        KeywordConsole,
        KeywordError,
        KeywordWarn,
        KeywordNotice,
        KeywordInfo,
        KeywordDebug,
        KeywordTrace,
        KeywordInitialRun,
        KeywordFixedRun,
        KeywordFrequency,
        KeywordTimeStamp,
        KeywordTimeStampUtc,
        KeywordTimeStampLocal,
        KeywordInclude,
        KeywordServer,
        KeywordHostId,
        KeywordIp,
        KeywordAddress,
        KeywordHostAddress,
        KeywordPort,
        KeywordEnableSsl,
        KeywordHostType,
        KeywordNtpdc,
        KeywordNtpq,
        KeywordNtpctl,
        KeywordFilePath,
        KeywordWebPath,
        KeywordTitle,
        KeywordPageTitle,
        KeywordPageTemplate,
        KeywordPageTime,
        KeywordDefault,
        KeywordBootstrap,
        KeywordServerId,
        KeywordContentTitle,
        KeywordContent,
        KeywordWidth,
        KeywordHeight,
        KeywordTimespan,
        KeywordFilterFactor,
        KeywordJitter,
        KeywordOffset,
        KeywordGraphTime,
        KeywordGraphFrequency,
        KeywordGraphStability,
        KeywordGraphBalance,
        KeywordGraphDelay,
        KeywordTrafficGraph,
        KeywordGraphReceived,
        KeywordGraphIgnored,
        KeywordGraphDropped,
        KeywordGraphSent,
        KeywordGraphNotSent,
        KeywordGraphAvgReceived,
        KeywordGraphAvgIgnored,
        KeywordGraphAvgDropped,
        KeywordGraphAvgSent,
        KeywordGraphAvgNotSent,
        KeywordGraphPlotInterval,
        KeywordGraphPacketRate,
        KeywordDatabase,
        KeywordCreate,
        KeywordUpgrade,
        KeywordDatabaseProvider,
        KeywordDatabaseProviderMySql,
        KeywordDatabaseProviderPostgre,
        KeywordPermission,
        KeywordExecUser,
        KeywordGroup,
        KeywordMode,
        KeywordListener,
        KeywordCluster,
        KeywordClusterNode,
        KeywordClusterNodeIp,
        KeywordClusterNodePort,
        KeywordHostStats,
        KeywordHostIoStats,
        KeywordPeerStats,
        KeywordDriftStats,
        KeywordReading,
        KeywordNotify,
        KeywordRecipient,
        KeywordSubject,
        KeywordSender,
        KeywordHostGraph,
        KeywordPeerGraph,
        KeywordLink,
        KeywordGraphPage,
        KeywordLinkIndex,
        KeywordAboutPage,
        KeywordHostPage,
        KeywordPoolMember,
        KeywordQueryDirect,
        KeywordHostGraphPage,
        KeywordPeerGraphPage,
        KeywordPeerPage,
        KeywordPeerSummaryPage,
        KeywordSummaries,
        KeywordMenu,
        KeywordItem,
        KeywordCaption,
        KeywordPage,
        KeywordDropdown,
        KeywordSpacer,
        KeywordHeader,
        KeywordGraphSet,
        KeywordGraph,
        KeywordPrefix,
        KeywordDirectory,
        KeywordDestinations,
        KeywordWebLinks,
        KeywordNtpAccessPolicyOpen,
        KeywordUnknown,
        KeywordLog,
        KeywordType,
        KeywordSeverity,
        KeywordShowTimestamp,
        KeywordShowSeverity,
        KeywordTimeFormat,
        KeywordHeartbeat,
        KeywordRate,
        KeywordDaemon,
        KeywordService,
        KeywordConnectionTimeout,
        KeywordSslMode,
        KeywordCertFile,
        KeywordCertPass,
        KeywordProtocol,
        KeywordConString,
        KeywordRequired,
        KeywordPreferred,
        // Deprecated symbols
        KeywordDatabaseName,
        KeywordDatabaseUser,
        KeywordDatabasePass,
        KeywordMail,
        KeywordSmtpHost,
        KeywordSmtpPort,
        KeywordSmtpUser,
        KeywordSmtpPass
    }
}